#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    int x[n],y[n];
    for(int i=0;i<n;i++)cin>>x[i]>>y[i];
    map<pair<int,int>,int> mapa;
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            int razlikax=x[j]-x[i],razlikay=y[j]-y[i];
            if (razlikax<0)
            {
                razlikax=-razlikax;
                razlikay=-razlikay;
            }
            else if (razlikax==0 && razlikay<0)razlikay=-razlikay;
            pair<int,int> par;
            par.first=razlikax;
            par.second=razlikay;
            mapa[par]++;
        }
    }
    long long rezultat=0;
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            int razlikax=x[j]-x[i],razlikay=y[j]-y[i];
            if (razlikax<0)
            {
                razlikax=-razlikax;
                razlikay=-razlikay;
            }
            else if (razlikax==0 && razlikay<0)razlikay=-razlikay;
            pair<int,int> par;
            par.first=razlikax*2;
            par.second=razlikay*2;
            rezultat+=mapa[par];
        }
    }
    cout<<rezultat;
}